/*!
 * @file simple_sync.h
 *  implementation of a network sync test
 */

#ifndef _SIMPLE_SYNC
#define _SIMPLE_SYNC

#include "synchronizeable.h"


class SimpleSync : public Synchronizeable
  {
  public:
    SimpleSync( std::string name);
    SimpleSync(const TiXmlElement* root = NULL);
    virtual ~SimpleSync();
    
    void debug();


  private:
    int in;
    int out;
    std::string syncStr;
    int id;
  };

#endif /* _SIMPLE_SYNC */
