/*!
 * @file ground_turret.h
 * @brief description
*/

#ifndef _GROUND_TURRET_H
#define _GROUND_TURRET_H

#include "npcs/npc.h"

class Weapon;

//! A Class to ...
class GroundTurret : public NPC
{

 public:
  GroundTurret(const TiXmlElement* root = NULL);
  virtual ~GroundTurret();

  void init();
  virtual void loadParams(const TiXmlElement* root);

  virtual void postSpawn ();
  virtual void leftWorld ();

  virtual void destroy();

  virtual void draw() const;
  virtual void tick(float time);

 private:
   PNode  weaponHolder[2];
   Weapon *left, *right;
};

#endif /* _GROUND_TURRET_H */
