/*!
 * @file dedicated_server_world.h
 *  Holds and manages all dedicated server data
 */

#ifndef _DEDICATED_SERVER_WORLD_H
#define _DEDICATED_SERVER_WORLD_H

#include "game_world.h"


class TiXmlElement;


//! The game world
/**
 *  this class initializes everything that should be displayed inside of the current level.
 *  it is the main driving factor during gameplay.
 */
class DedicatedServerWorld : public GameWorld
{

  public:
    DedicatedServerWorld (const TiXmlElement* root = NULL);
    virtual ~DedicatedServerWorld ();

    virtual void loadParams(const TiXmlElement* root);

  private:

};

#endif /* _DEDICATED_SERVER_WORLD_H */
