/*!
 * @file proto_class.h
 * @brief Interface for Worldentities that can picku up powerups.
*/

#ifndef _EXTENDABLE_H
#define _EXTENDABLE_H

#include "base_object.h"

// FORWARD DECLARATION
class PowerUp;

#include "power_ups/power_up.h"

//! A class for ...
class Extendable : virtual public BaseObject {

  public:
   //   virtual ~Extendable();
   virtual bool pickup(PowerUp* powerUp) { return false; };

  protected:
    Extendable() { this->setClassID(CL_EXTENDABLE, "Extendable"); };

  private:

};

#endif /* _EXTENDABLE_H */
